Update Feedback
Updates feedback in the system based on the ID of the feedback
Path Parameters
- Type: stringfeedback
_id requiredThe value of the
feedback_idparameter returned in the response of the Create Feedback API
Headers
- Type: stringAuthorizationrequired
Bearer token for admin authorization, who is making a call on behalf of the customer. Send the API key in the following format: "Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE".
- Type: stringContent
- Type requiredSet this header to application/json.
Body
application/json
- Type: stringcheckin
_id ID of the check-in for which a user provides feedback
- Type: stringemail
- Type: stringmessage
Text feedback that a user provides
- Type: stringphone
- Type: stringphoto
_url Photo URL of the feedback that a user provides
- Type: stringredemption
_id ID of the redemption for which a user provides feedback
- Type: booleanrequires
_response Whether the user wants to be contacted by the business for this feedback or not. Possible values:
true,false - Type: numberuser
_id - Type: stringvideo
_url Video URL of the feedback that a user provides
Responses
- 200
OK
- application/json
Request Example for patch/api2/dashboard/feedbacks/{feedback_id}
curl 'https://SERVER_NAME_GOES_HERE.punchh.com/api2/dashboard/feedbacks/{feedback_id}' \
--request PATCH \
--header 'Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE' \
--header 'Content-Type: application/json' \
--data '{
"message": "Good Coffee.",
"user_id": 111111,
"checkin_id": "8393395",
"redemption_id": "106819236",
"video_url": "VIDEO_URL_GOES_HERE",
"photo_url": "PHOTO_URL_GOES_HERE",
"requires_response": false
}'
No Body
